Olympus Docs
ReferenceAPIsOry Hydra APIoidc

Set OAuth2 Client using OpenID Dynamic Client Registration

This endpoint behaves like the administrative counterpart (`setOAuth2Client`) but is capable of facing the

PUT /oauth2/register/{id}

This endpoint behaves like the administrative counterpart (setOAuth2Client) but is capable of facing the public internet directly to be used by third parties. It implements the OpenID Connect Dynamic Client Registration Protocol.

This feature is disabled per default. It can be enabled by a system administrator.

If you pass client_secret the secret is used, otherwise the existing secret is used. If set, the secret is echoed in the response. It is not possible to retrieve it later on.

To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method client_secret_post, you need to present the client secret in the URL query. If it uses client_secret_basic, present the Client ID and the Client Secret in the Authorization header.

OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.

Operation ID: setOidcDynamicClient    Tag: oidc

Path parameters

NameTypeRequiredDescription
idstringyesOAuth 2.0 Client ID

Request body

OAuth 2.0 Client Request Body

Content-Type: application/json

Type: object

Schema: oAuth2Client, see the Ory Hydra API schemas reference for the full type.

Responses

StatusDescriptionBody
200oAuth2Clientapplication/json, object
404Not Found Error Responseapplication/json, object
defaultDefault Error Responseapplication/json, object

Security

  • bearer

Generated from ../athena/openapi.json at build time.

On this page